
textures/Roomy/nolightmap
{
	qer_editorimage textures/Roomy/nolightmap.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/Roomy/nolightmap.tga
	}
}

textures/Roomy/metal-red_NS
{
	qer_editorimage textures/Roomy/metal-red.jpg
	surfaceparm nonsolid
	surfaceparm noimpact
	{
		map textures/Roomy/metal-red.jpg
	}
}

textures/Roomy/spring2_E_NS
{
	qer_editorimage textures/Roomy/spring2_E.jpg
	surfaceparm nonsolid
	surfaceparm noimpact
	{
		map textures/Roomy/spring2_E.jpg
	}
}

textures/Roomy/eq2_bmtl_ns
{
	qer_editorimage textures/Roomy/eq2_bmtl.jpg
	surfaceparm nonsolid
	surfaceparm noimpact
	{
		map textures/Roomy/eq2_bmtl.jpg
	}
}

textures/Roomy/Cable
{
	qer_editorimage textures/Roomy/Cable.jpg
	surfaceparm nonsolid
	surfaceparm noimpact
	{
		map textures/Roomy/Cable.jpg
	}
}

textures/Roomy/ladder
{
	qer_trans .75
	qer_editorimage textures/roomy/ladder.jpg
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/Common/clip
{
	qer_editorimage textures/Common/clip.jpg
	qer_trans .85
	surfaceparm trans
	surfaceparm nodraw	
	surfaceparm nomarks
	surfaceparm noimpact
}

textures/Common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

//--------------------------GRATES--------------------------
textures/Roomy/drain
{ 
	qer_editorimage textures/Roomy/drain.jpg
	{ 
		map textures/Roomy/drain.jpg
		blendFunc GL_ONE GL_ONE
	} 
}
textures/Roomy/protograte1
{
	qer_editorimage textures/Roomy/protograte1.tga
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm trans		
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm metalsteps
	cull none
       	nopicmip
	{
		map textures/Roomy/protograte1.tga
		//tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/Roomy/e6bsegrtflr256
{
	qer_editorimage textures/Roomy/e6bsegrtflr256.tga
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm trans		
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm metalsteps
	cull none
       	nopicmip
	{
		map textures/Roomy/e6bsegrtflr256.tga
		//tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//--------------------------LIQUIDS--------------------------
textures/Roomy/water
{
	q3map_surfacelight 50
	q3map_globaltexture
	qer_trans .5

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water

	cull disable
	q3map_tessSize 64
	deformVertexes wave 200 sin 0 1 .5 .5
	{
		map textures/Roomy/water.jpg
		blendFunc GL_DST_COLOR GL_ONE
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .02 .01
	}
	{
		map textures/Roomy/water.jpg
		blendFunc GL_DST_COLOR GL_ONE
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/Roomy/Roughwater
{
	q3map_surfacelight 50
	q3map_globaltexture
	qer_trans .5

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water

	cull disable
	q3map_tessSize 64
	deformVertexes wave 128 sin 0 5 6 0.5
	{
		map textures/Roomy/Roughwater.jpg
		blendFunc GL_DST_COLOR GL_ONE
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .05 .025
	}
	{
		map textures/Roomy/Roughwater.jpg
		blendFunc GL_DST_COLOR GL_ONE
		tcmod scale -.5 -.5
		tcmod scroll .055 .055
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

//--------------------------GASES--------------------------
textures/Roomy/fog 
{ 
	qer_editorimage textures/Roomy/fog.jpg 
	qer_trans .5
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm fog 
	surfaceparm nolightmap 
	qer_nocarve 
	fogparms ( 0.0 0.0 0.0 ) 200 
}
textures/Roomy/fog2 
{ 
	qer_editorimage textures/Roomy/fog2.jpg 
	qer_trans .5
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm fog 
	surfaceparm nolightmap 
	qer_nocarve 
	fogparms ( 0.1 0.1 0.1 ) 50 
}
textures/Roomy/fog3
{ 
	qer_editorimage textures/Roomy/fog3.jpg 
	qer_trans .5
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm fog 
	surfaceparm nolightmap 
	qer_nocarve 
	fogparms ( 0.1 0.05 0.05 ) 100 
}

//--------------------------DECALS--------------------------
textures/Roomy/noeggs
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/noeggs.jpg
		blendfunc filter
	}
}
textures/Roomy/noeastereggshere
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/noeastereggshere.jpg
		blendfunc filter
	}
}
textures/Roomy/Trash_Chute
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/Trash_Chute.jpg
		blendfunc filter
	}
}
textures/Roomy/RoomyText1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/RoomyText1.jpg
		blendfunc filter
	}
}
textures/Roomy/RoomyText2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/RoomyText2.jpg
		blendfunc filter
	}
}
textures/Roomy/RoomyText3
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/RoomyText3.jpg
		blendfunc filter
	}
}
textures/Roomy/Waterway-LMR
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/Waterway-LMR.jpg
		blendfunc filter
	}
}
textures/Roomy/Reservoir_13
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/Reservoir_13.jpg
		blendfunc filter
	}
}
textures/Roomy/Reservoir_14
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/Reservoir_14.jpg
		blendfunc filter
	}
}
textures/Roomy/Reservoir_15
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/Reservoir_15.jpg
		blendfunc filter
	}
}
textures/Roomy/Parts
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/Parts.jpg
		blendfunc filter
	}
}
textures/Roomy/watch_your_back
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/watch_your_back.jpg
		blendfunc filter
	}
}
textures/Roomy/rcwasere
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/rcwasere.jpg
		blendfunc filter
	}
}
textures/Roomy/R_LogoQ
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/R_LogoQ.jpg
		blendfunc filter
	}
}
textures/Roomy/dust
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/Roomy/dust.jpg
		blendfunc filter
	}
}
//--------------------------SKYBOX--------------------------
textures/Roomy/skybox
{
	qer_editorimage textures/Roomy/skybox.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/atcs/skylight.tga
//	q3map_sun 0.95 0.95 1.0 150 120 25	//lilacisles
//	q3map_sun 1.00 1.00 0.965 75 90 30 	//siege
//	q3map_sun 1.00 0.90 0.80 110 180 35	//orangecream
//	q3map_sun 1.00 0.80 0.70 100 0 20	//cottoncandy
//	q3map_sun 0.934 0.835 1.00 75 230 35	//desertsky
//	q3map_sun 1.00 1.00 1.00 50 90 90	//comablack
//	q3map_sun 4 3 3 150 135 50		//mars
//	q3map_sun 1.00 0.949 0.977 100 200 45	//desert
	q3map_sun 1.00 0.949 0.977 150 135 45	
	q3map_skylight 250 3
	q3map_globaltexture
	skyparms env/atcs/mars - -
}

//--------------------------METALSTEPS--------------------------

textures/Roomy/eq2_floor_05:q3map
{
        surfaceparm metalsteps
}

textures/Roomy/achtung_clang_128:q3map
{
        surfaceparm metalsteps
}
//--------------------------LIGHTS--------------------------
textures/Roomy/st_tl16_blue1k
{
	qer_editorimage textures/Roomy/st_trim16_light.tga
	q3map_lightimage textures/Roomy/st_trim16_light_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 1000
	{
		map textures/Roomy/st_trim16_light.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/Roomy/st_trim16_light_blue_blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}
textures/Roomy/white_glow
{ 
	qer_editorimage textures/Roomy/white_glow.jpg
	q3map_surfacelight 1200 
	q3map_lightRGB 1.00 1.00 1.00 
	{ 
		map $lightmap 
	} 
	{ 
		map textures/Roomy/white_glow.jpg
		blendFunc GL_DST_COLOR GL_ZERO 
	} 
	{ 
		map textures/Roomy/white_glow.jpg
		blendFunc GL_ONE GL_ONE 
		rgbGen identity 
	} 
}

textures/Roomy/glow 
{ 
	qer_editorimage textures/Roomy/glow.jpg
	q3map_surfacelight 5000 
	q3map_lightRGB 1.00 0.42 0.42 
	{ 
		map $lightmap 
	} 
	{ 
		map textures/Roomy/glow.jpg
		blendFunc GL_DST_COLOR GL_ZERO 
	} 
	{ 
		map textures/Roomy/glowblend.jpg
		blendFunc GL_ONE GL_ONE 
		rgbGen identity 
	} 
}

textures/Roomy/greenlight
{ 
	qer_editorimage textures/Roomy/greenlight.jpg
	q3map_surfacelight 1000 
	q3map_lightRGB 1.00 0.42 0.42 
	{ 
		map $lightmap 
	} 
	{ 
		map textures/Roomy/greenlight.jpg
		blendFunc GL_DST_COLOR GL_ZERO 
	} 
	{ 
		map textures/Roomy/greenlightglow.jpg
		blendFunc GL_ONE GL_ONE 
		rgbGen identity 
	} 
}

textures/Roomy/e6horzlight
{
	qer_editorimage textures/Roomy/e6horzlight.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/Roomy/e6horzlight.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/Roomy/e6horzlight_blend.jpg
		blendfunc add
	}
}

textures/Roomy/eq2_baselt03_blue_2
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/Roomy/eq2_baselt03_blue_2.blend.jpg
	qer_editorimage textures/Roomy/eq2_baselt03_blue_2.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Roomy/eq2_baselt03_blue_2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/Roomy/eq2_baselt03_blue_2.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/Roomy/cubelight_32_white_s_20k
{
	surfaceparm nomarks
	q3map_surfacelight 20000
	q3map_lightimage textures/Roomy/cubelight_32_white.blend.tga
	qer_editorimage textures/Roomy/cubelight_32_white.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Roomy/cubelight_32_white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/Roomy/cubelight_32_white.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/Roomy/cubelight_32_red_s_20k
{
	surfaceparm nomarks
	q3map_surfacelight 20000
	q3map_lightimage textures/Roomy/cubelight_32_red.blend.tga
	qer_editorimage textures/Roomy/cubelight_32_red.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Roomy/cubelight_32_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/Roomy/cubelight_32_red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/Roomy/proto_lightred
{
	q3map_lightimage textures/Roomy/proto_lightred_64.tga
	qer_editorimage textures/Roomy/proto_lightred_64.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Roomy/proto_lightred_64.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/Roomy/proto_lightred_64.tga
		blendFunc add
		//rgbGen wave square .5 .5 0 1
	}
	
}

textures/Roomy/cubelight_32_blue_s_10k
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightimage textures/Roomy/cubelight_32_blue.blend.tga
	qer_editorimage textures/Roomy/cubelight_32_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Roomy/cubelight_32_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/Roomy/cubelight_32_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


//--------------------------SCREENS--------------------------
textures/Roomy/altstatic
{ 
	qer_editorimage textures/Roomy/altstatic.jpg
	q3map_surfacelight 1000 
	q3map_lightRGB 0.5 0.5 1.0 
	{ 
		map $lightmap 
	} 
	{ 
		map textures/Roomy/altstatic.jpg
		blendFunc GL_DST_COLOR GL_ZERO 
	} 
	{ 
		map textures/Roomy/altstaticblend.jpg
		blendFunc GL_ONE GL_ONE 
		rgbGen identity 
	} 
}
textures/Roomy/altstaticb //Same as above except with Border
{ 
	qer_editorimage textures/Roomy/altstaticb.jpg
	q3map_surfacelight 1000 
	q3map_lightRGB 0.5 0.5 1.0 
	{ 
		map $lightmap 
	} 
	{ 
		map textures/Roomy/altstaticb.jpg
		blendFunc GL_DST_COLOR GL_ZERO 
	} 
	{ 
		map textures/Roomy/altstaticbglow.tga
		blendFunc GL_ONE GL_ONE 
		rgbGen identity 
	} 
}
textures/Roomy/StaticScreen
{
	qer_editorimage textures/Roomy/StaticScreen.jpg
	cull disable
	{
	animMap 3 textures/Roomy/static1.jpg textures/Roomy/static2.jpg textures/Roomy/static3.jpg
    	}
}
textures/Roomy/StaticScreenb //Same as above except with Border
{
	qer_editorimage textures/Roomy/StaticScreenb.jpg
	cull disable
	{
	animMap 3 textures/Roomy/static1b.jpg textures/Roomy/static2b.jpg textures/Roomy/static3b.jpg
    	}
}

//Thanks Seeeker :)
textures/roomy/screen_mainv1
{
	qer_editorimage textures/roomy/screen_mainv1.jpg
	q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	
	{
		map textures/roomy/screen_mainv1.jpg
		//blendFunc filter //removes white
		blendfunc add //removes black
	}
	{
		
		map textures/roomy/wtr_clear.tga
		tcGen environment
		blendfunc add//GL_ONE GL_ONE//removes black
		////blendfunc filter//
	}
	{
		map textures/roomy/dsp_ef01.tga
		blendfunc add
		//tcMod turb 0 0.2 0 0.10
		tcMod scroll 0 -0.5
	}
}
textures/roomy/screenglow
{
	qer_editorimage textures/roomy/screenglow.jpeg
	q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/roomy/screenglow.jpg
		blendfunc add //removes black
		tcMod scroll 0 0.05
	}
}

textures/Roomy/RCglow
{
	qer_editorimage textures/Roomy/RCglow.jpeg
	q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/Roomy/RCglow.jpg
		blendfunc add //removes black
		tcMod scroll 0 0.05
	}
}

textures/Roomy/Bq_meter_1
{
	qer_editorimage textures/Roomy/Bq_meter_1.jpg
	q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	
	{
		animMap 0.8 textures/Roomy/Bq_meter_1.jpg textures/Roomy/Bq_meter_2.jpg textures/Roomy/Bq_meter_3.jpg
		//blendFunc filter //removes white
		blendfunc add //removes black
	}
	{
		
		map textures/roomy/wtr_clear.tga
		tcGen environment
		blendfunc add//GL_ONE GL_ONE//removes black
		////blendfunc filter//
	}
	{
		map textures/roomy/dsp_ef01.tga
		blendfunc add
		//tcMod turb 0 0.2 0 0.10
		tcMod scroll 0 -0.5
	}
}

textures/Roomy/status_jammed
{
	qer_editorimage textures/Roomy/status_jammed.jpg
	q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable

	{
		animMap 0.8 textures/Roomy/status_jammed.jpg textures/Roomy/status_jammed_2.jpg
		rgbGen identity
		blendfunc add //removes black
	}
}

//--------------------WTF--------------------
textures/Roomy/glass
{
        qer_editorimage textures/Roomy/glass.tga
        qer_trans .5
        surfaceparm nolightmap
        surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
//	cull none
        {
                map textures/Roomy/glass.tga
                blendfunc gl_dst_color gl_src_alpha
                blendfunc filter
        }
        {
                map $lightmap
                rgbgen identity
                blendfunc gl_dst_color gl_zero
        }
}
textures/tremor/darkglass3
{
	qer_trans .5	
	surfaceparm trans
	cull disable
	{
		map textures/tremor/trem2ref.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/tremor/plainglass3
{
	surfaceparm nolightmap
	cull twosided
	{
		map textures/tremor/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

textures/roomy/dirty_glass
{
        qer_editorimage textures/roomy/dirty_glass.tga
        qer_trans .5
        surfaceparm nolightmap
        surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
//	cull none
        {
                map textures/roomy/dirty_glass.tga
                blendfunc gl_dst_color gl_src_alpha
                blendfunc filter
        }
        {
                map $lightmap
                rgbgen identity
                blendfunc gl_dst_color gl_zero
        }
}
textures/tremor/proto_zzztblu3
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/tremor/proto_zzztblu3.tga
		tcGen environment
		tcMod turb 0 0.25 0 0.5
		tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}
textures/Roomy/blue_elektra
{
 	cull disable
 	cull none
 	surfaceparm noimpact
 	surfaceparm nomarks
 	surfaceparm nolightmap
 
 	q3map_lightimage textures/Roomy/blue_elektra.tga
 	q3map_surfacelight 400
 	q3map_lightsubdivide 64
		{
 		map textures/Roomy/blue_elektra.tga
 		blendfunc gl_one gl_one
 		tcmod scroll 2 3
 		tcMod turb 0 1.5 0.5 0.25
 		rgbgen identity
 		}
}

//--------------------FLARES--------------------
textures/Roomy/Flare
{
	qer_editorimage textures/Roomy/Flare.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/Roomy/Flare.tga
		blendfunc add
	}
}